/* WeTheme Product Carousel-v2 */

.wetheme-product-carousel-v2 {
	position: relative;
	background: #f7f7f8;
	border-radius: 16px;
	padding: 20px;
}

.wetheme-product-carousel-v2 .wpc-head {
	display: none; 
}

.wetheme-product-carousel-v2 .wpc-viewall {
	font-weight: 700;
	text-decoration: none;
	color: #111;
}

.wetheme-product-carousel-v2 .wpc-nav {
	position: absolute;
	top: 14px;
	left: 14px;
	display: flex;
	gap: 8px;
}

.wetheme-product-carousel-v2 .wpc-prev,
.wetheme-product-carousel-v2 .wpc-next {
	background: #eee;
	border: 0;
	border-radius: 10px;
	padding: 6px 10px;
	cursor: pointer;
	box-shadow: 0 2px 6px rgba(0,0,0,.06);
}

@media (min-width: 1024px) {
	.wetheme-product-carousel-v2[data-arrows-desktop="false"] .wetheme-carousel-header .nav-buttons,
	.wetheme-product-carousel-v2[data-arrows-desktop="false"] .wpc-nav {
		display: none !important;
	}
}

@media (min-width: 768px) and (max-width: 1023px) {
	.wetheme-product-carousel-v2[data-arrows-tablet="false"] .wetheme-carousel-header .nav-buttons,
	.wetheme-product-carousel-v2[data-arrows-tablet="false"] .wpc-nav {
		display: none !important;
	}
}

@media (max-width: 767px) {
	.wetheme-product-carousel-v2[data-arrows-mobile="false"] .wetheme-carousel-header .nav-buttons,
	.wetheme-product-carousel-v2[data-arrows-mobile="false"] .wpc-nav {
		display: none !important;
	}
}

.wetheme-product-carousel-v2 .wpc-swiper {
	padding: 8px 2px 2px 2px;
}

.wetheme-product-carousel-v2 .wpc-swiper .swiper-wrapper {
    display: flex;
}
.wetheme-product-carousel-v2 .wpc-swiper .swiper-slide {
    flex: 0 0 auto;
}

.wetheme-product-carousel-v2 .swiper-slide { 
	width: auto;
}

.wetheme-product-carousel-v2 .swiper-slide[style*="width"] {
	flex-shrink: 0 !important;
	flex-basis: auto !important;
}

.wetheme-product-carousel-v2 .wpc-card {
	position: relative;
	background: #fff;
	border-radius: 16px;
	padding: 18px 20px;
	display: flex;
	flex-direction: column;
	transition: transform .2s ease, box-shadow .2s ease;
	height: 400px;
	justify-content: space-between;
	width: 100%;
}

.wetheme-product-carousel-v2 .wpc-card:hover {
	transform: translateY(-2px);
}

.wetheme-product-carousel-v2 .wpc-badge {
	position: absolute;
	top: 15px;
	left: 15px;
	background: #111;
	color: #fff;
	border-radius: 8px;
	padding: 2px 8px;
	font-size: 12px;
	font-weight: 700;
	z-index: 2;
}

.wetheme-product-carousel-v2 .wpc-wishlist {
	position: absolute;
	top: 15px;
	right: 15px;
	background: transparent;
	border: 0;
	border-radius: 0;
	width: 25px;
	height: 25px;
	cursor: pointer;
	color: #ff0000;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all 0.3s ease;
}

.wetheme-product-carousel-v2 .wpc-wishlist:hover {
	transform: scale(1.1);
}

.wetheme-product-carousel-v2 .wpc-wishlist .wishlist-icon {
	transition: all 0.3s ease;
	color: #000000;
    border-radius: 0;
}

.wetheme-product-carousel-v2 .wpc-wishlist.wpc-wishlist-active .wishlist-icon {
	color: #ff0000;
}

.wetheme-product-carousel-v2 .wpc-wishlist.wpc-wishlist-active .wishlist-icon path {
	fill: #ff0000;
	stroke: #ff0000;
}

.wetheme-product-carousel-v2 .wpc-wishlist.wpc-wishlist-loading {
	opacity: 0.7;
	pointer-events: none;
}

.wetheme-product-carousel-v2 .wetheme-single-product-tags {
    position: absolute;
    top: 15px;
    left: 15px;
    right: auto;
    z-index: 6;
    display: inline-flex;
    align-items: center;
    pointer-events: none;
    justify-content: flex-end;
}

.wetheme-product-carousel-v2 .wetheme-single-product-tags .wetheme-single-tag {
	margin: 0;
	font-size: 12px;
	padding: 4px 8px 3px;
}

.wetheme-product-carousel-v2 .we-product-colors {
    position: absolute;
    background: #f0f0f0;
    padding: 10px 8px;
    border-radius: 4px;
    top: 50px;
    right: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 7px;
    z-index: 5;
 }

.wetheme-product-carousel-v2 .we-product-colors .we-color-dot {
	width: 7px;
	height: 7px;
	border-radius: 50%;
	display: inline-block;
	flex-shrink: 0;
 }

.wetheme-product-carousel-v2 .we-product-colors .we-color-more {
    height: 6px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 11px;
    font-weight: 500;
    position: relative;
    color: #4f4f4f;
    margin-top: 4px;
 }

.wetheme-product-carousel-v2 .wpc-thumb {
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	height: 200px;
	overflow: hidden;
	background-color: #ffffff; 
	flex-shrink: 0;
}

.wetheme-product-carousel-v2 .wpc-thumb img {
	max-width: 84% !important;
	max-height: 94% !important;
	width: auto !important;
	height: auto !important;
	border-radius: 8px;
	object-fit: contain;
}

.wetheme-product-carousel-v2 .wpc-title {
	font-size: 16px;
	line-height: 1.5;
	margin: 0 0 0 0;
	position: relative;
	padding-bottom: 8px;
	height: 55px;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	-webkit-box-orient: vertical;
	flex-shrink: 0;
}

.wetheme-product-carousel-v2 .wpc-title-separator {
	height: 1px;
	background: linear-gradient(to right, transparent, #e0e0e0, transparent);
	margin: 0px 0 10px 0;
}

.wetheme-product-carousel-v2 .wpc-title a {
	text-decoration: none;
	color: inherit;
}

.wetheme-product-carousel-v2 .wpc-price {
	margin-bottom: 5px;
	margin-top: auto; 
}

.wetheme-product-carousel-v2 .wpc-price-action-row {
	display: flex;
	align-items: flex-end;
    flex-wrap: wrap;
	justify-content: space-between;
	gap: 10px;
}

.wetheme-product-carousel-v2 .wpc-price-action-row .wpc-price {
	margin: 0;
	flex: 1 1 auto;
}

.wetheme-product-carousel-v2 .wpc-price-action-row .wpc-add-to-cart {
	margin-bottom: 11px;
	flex: 0 0 auto;
	white-space: nowrap;
}

.wetheme-product-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
    font-size: 14px !important;
    font-weight: 400 !important;
}

body .elementor .elementor-widget-wetheme_product_carousel_v2 .wetheme-product-carousel-v2 .wpc-card .wpc-price {
	display: flex !important;
	flex-direction: column !important;
	align-items: flex-end !important;
	gap: 0px !important;
	margin-top: auto;
}

.elementor-widget-wetheme_product_carousel_v2 .wetheme-product-carousel-v2 .wpc-card{
	box-shadow: none !important;
}

.elementor-widget-wetheme_product_carousel_v2 .wetheme-product-carousel-v2 .wpc-card:hover {
	box-shadow: none !important;
}

.wetheme-product-carousel-v2 .wpc-add-to-cart {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 6px;
	padding: 10px;
	border-radius: 12px;
	text-decoration: none;
	margin-bottom: 10px;
	position: relative;
	overflow: hidden;
}

.wetheme-product-carousel-v2 .wpc-add-to-cart i {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	line-height: 1;
	font-size: 20px;
	color: inherit;
	position: relative;
	z-index: 2;
}

 .wetheme-product-carousel-v2 .wpc-add-to-cart .wpc-btn-text {
	position: relative;
	z-index: 2;
 }

 .wetheme-product-carousel-v2 .wpc-add-to-cart.wpc-v2-loading::before {
	content: "";
	filter: blur(5px);
	position: absolute;
	inset: 50% -70% -70% 50%;
	background: linear-gradient(
		to left,
		transparent,
		#55999e,
		var(--wetheme-secondary-color),
		transparent 100%
	);
	border-radius: inherit;
	background-repeat: no-repeat;
	transform-origin: 0 0;
	animation: wpc-v2-shiny-rotate 2s infinite linear;
	opacity: 0.95;
	pointer-events: none;
	z-index: 1;
 }

 .wetheme-product-carousel-v2 .wpc-add-to-cart.loading::before {
	content: "";
	filter: blur(5px);
	position: absolute;
	inset: 50% -70% -70% 50%;
	background: linear-gradient(
		to left,
		transparent,
		#55999e,
		var(--wetheme-secondary-color),
		transparent 100%
	);
	border-radius: inherit;
	background-repeat: no-repeat;
	transform-origin: 0 0;
	animation: wpc-v2-shiny-rotate 2s infinite linear;
	opacity: 0.95;
	pointer-events: none;
	z-index: 1;
 }

 @keyframes wpc-v2-shiny-rotate {
	0% {
		transform: rotate(0deg);
	}

	33% {
		transform: rotate(120deg);
	}

	66% {
		transform: rotate(210deg);
	}

	100% {
		transform: rotate(360deg);
	}
 }

 .wetheme-product-carousel-v2 .wpc-add-to-cart.loading {
	justify-content: center;
	gap: 0;
 }

 .wetheme-product-carousel-v2 .wpc-add-to-cart.loading i,
 .wetheme-product-carousel-v2 .wpc-add-to-cart.loading .wpc-btn-text {
	display: inline-flex !important;
 }

 .wetheme-product-carousel-v2 .wpc-add-to-cart.loading .wetheme-spinner {
	display: none;
 }

.wetheme-product-carousel-v2 .wpc-add-to-cart:hover { box-shadow: none; transform: none; }

.wetheme-product-carousel-v2 .swiper-pagination,
.wetheme-product-carousel-v2 .swiper-pagination-bullets,
.wetheme-product-carousel-v2 .swiper-pagination-bullet,
.wetheme-product-carousel-v2 .swiper-pagination-bullet-active {
    display: none !important;
}

@media (max-width: 1024px) and (min-width: 769px) {
    .wetheme-product-carousel-v2 {
        border-radius: 14px;
        padding: 18px;
    }
    
    .wetheme-product-carousel-v2 .wpc-card {
        height: 380px;
        padding: 14px;
        border-radius: 14px;
        max-width: 300px;
        min-width: 220px;
    }
    
    .wetheme-product-carousel-v2 .wpc-badge {
        top: 12px;
        left: 12px;
        font-size: 11px;
        padding: 2px 7px;
        border-radius: 6px;
    }
    
    .wetheme-product-carousel-v2 .wpc-wishlist {
        top: 12px;
        right: 12px;
        width: 23px;
        height: 23px;
    }

    .wetheme-product-carousel-v2 .we-product-colors {
        top: 45px;
        right: 14px;
        padding: 8px 6px;
        gap: 6px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-dot {
        width: 6px;
        height: 6px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-more {
        font-size: 10px;
        margin-top: 3px;
    }
    
    .wetheme-product-carousel-v2 .wpc-thumb {
        height: 175px;
    }

    .wetheme-product-carousel-v2 .wpc-thumb img {
        max-width: 82% !important;
        max-height: 82% !important;
        margin-top: 33px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title {
        font-size: 15px;
        height: 52px;
        padding-bottom: 7px;
        margin-top: 15px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title-separator {
        margin: 9px 0 0px 0;
    }
    
    .wetheme-product-carousel-v2 .wpc-add-to-cart {
        padding: 9px;
        border-radius: 10px;
        font-size: 14px;
        margin-bottom: 8px;
    }
}

@media (max-width: 768px) {
    .wetheme-product-carousel-v2 {
        border-radius: 12px;
        padding: 15px;
    }
    
    .wetheme-product-carousel-v2 .wpc-card {
        height: 350px;
        padding: 12px;
        border-radius: 12px;
        max-width: 280px;
    }
    
    .wetheme-product-carousel-v2 .wpc-badge {
        top: 10px;
        left: 10px;
        font-size: 10px;
        padding: 2px 6px;
        border-radius: 5px;
    }
    
    .wetheme-product-carousel-v2 .wpc-wishlist {
        top: 10px;
        right: 10px;
        width: 22px;
        height: 22px;
    }
    
    .wetheme-product-carousel-v2 .wpc-wishlist .wishlist-icon {
        width: 20px;
        height: 20px;
    }

    .wetheme-product-carousel-v2 .we-product-colors {
        top: 44px;
        right: 12px;
        padding: 8px 6px;
        gap: 5px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-dot {
        width: 6px;
        height: 6px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-more {
        font-size: 10px;
        margin-top: 3px;
    }
    
    .wetheme-product-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
        font-size: 11px !important;
        font-weight: 400 !important;
    }

    .wetheme-product-carousel-v2 .wpc-thumb {
        height: 180px;
    }
    
    .wetheme-product-carousel-v2 .wpc-thumb img {
        max-width: 80% !important;
        max-height: 80% !important;
        margin-top: 33px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title {
        font-size: 14px;
        height: 48px;
        padding-bottom: 6px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title-separator {
        margin: 8px 0 0px 0;
    }
    
    .wetheme-product-carousel-v2 .wpc-price {
        margin-bottom: 4px;
    }
    
    .wetheme-product-carousel-v2 .wpc-add-to-cart {
        padding: 8px;
        border-radius: 10px;
        font-size: 13px;
        margin-bottom: 8px;
        gap: 4px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock {
        font-size: 11px !important;
        gap: 5px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .ico svg {
        width: 14px;
        height: 14px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .txt {
        font-size: 11px !important;
    }
}

@media (max-width: 480px) {
    .wetheme-product-carousel-v2 {
        border-radius: 10px;
        padding: 12px;
    }
    
    .wetheme-product-carousel-v2 .wpc-card {
        height: 330px;
        padding: 12px 15px;
        border-radius: 15px;
        min-width: 100%;
    }
    
    .wetheme-product-carousel-v2 .wpc-badge {
        top: 12px;
        left: 12px;
        font-size: 9px;
        padding: 1px 5px;
        border-radius: 4px;
    }
    
    .wetheme-product-carousel-v2 .wpc-wishlist {
        top: 12px;
        right: 12px;
        width: 20px;
        height: 20px;
    }
    
    .wetheme-product-carousel-v2 .wpc-wishlist .wishlist-icon {
        width: 20px;
        height: 20px;
    }

    .wetheme-product-carousel-v2 .we-product-colors {
        top: 42px;
        right: 13.3px;
        padding: 7px 5px;
        gap: 5px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-dot {
        width: 6px;
        height: 6px;
    }

    .wetheme-product-carousel-v2 .we-product-colors .we-color-more {
        font-size: 9px;
        margin-top: 2px;
    }
    
    .wetheme-product-carousel-v2 .wpc-thumb {
        height: 155px;
    }
    
    .wetheme-product-carousel-v2 .wpc-thumb img {
        max-width: 80% !important;
        max-height: 85% !important;
        margin-top: 33px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title {
        font-size: 13px;
        line-height: 1.4;
        height: 44px;
        padding-bottom: 5px;
        margin-top: 10px;
    }
    
    .wetheme-product-carousel-v2 .wpc-title-separator {
        margin: 6px 0 0px 0;
    }
    
    .wetheme-product-carousel-v2 .wpc-price {
        margin-bottom: 3px;
    }
    
    .wetheme-product-carousel-v2 .wpc-card .wpc-price .wpc-current-price .woocommerce-Price-currencySymbol {
        font-size: 12px !important;
    }
    
    .wetheme-product-carousel-v2 .wpc-add-to-cart {
        padding: 7px;
        border-radius: 8px;
        font-size: 12px;
        margin-bottom: 7px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock {
        font-size: 10px !important;
        gap: 4px;
        margin-top: 1px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .ico svg {
        width: 12px;
        height: 12px;
    }
    
    .wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .txt {
        font-size: 10px !important;
    }
}

.wetheme-product-carousel-v2 .wpc-price.wpc-out-of-stock-message > .txt {
	font-weight: 600;
	color: #111;
}
.wetheme-product-carousel-v2 .we-stock-inline.is-outofstock {
	display: inline-flex;
	align-items: center;
	gap: 6px;
	font-size: 12px !important;
	font-weight: 500;
	color: #f11919;
    margin-bottom: 15px;
}
.wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .ico {
	display: inline-flex;
}
.wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .ico svg {
	display: block;
}
.wetheme-product-carousel-v2 .we-stock-inline.is-outofstock .txt {
	font-size: 12px !important;
}

.wetheme-product-carousel-v2 .we-price-inline {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    justify-content: flex-end;
}

.wetheme-product-carousel-v2 .wpc-price .we-price-del-wrapper {
    display: flex;
    align-items: center;
    gap: 6px;
    width: 100%;
    justify-content: flex-end;
}

.wetheme-product-carousel-v2 .wpc-price .onsale {
    display: inline-block;
    background: var(--wetheme-onsale-badge-color);
    color: #fff;
    padding: 2px 6px;
    border-radius: 6px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1.2;
    vertical-align: middle;
}


